<ion-header>
  <ion-toolbar>
    <ion-title>Edit Page</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div [formGroup]="profileForm" (ngSubmit)="onSubmit(profileForm)">
    <ion-item>
      <ion-label position="floating" color="primary">First Name</ion-label>
      <ion-input type="text" formControlName="firstName" value={{currentUser.firstName}} ></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating" color="primary">Last Name</ion-label>
      <ion-input type="text" formControlName="lastName" value={{currentUser.lastName}} ></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating" color="primary">Phone</ion-label>
      <ion-input type="text" formControlName="phone" value={{currentUser.phone}} ></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating" color="primary">Address</ion-label>
      <ion-input type="text" formControlName="address" value={{currentUser.address}} ></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating" color="primary">Function</ion-label>
      <ion-input type="text" formControlName="function" value={{currentUser.function}} ></ion-input>
    </ion-item>

  
    <ion-button class="submit-button" color="success" type="submit" (click)="onSubmit()" >Save</ion-button>
    <ion-button routerLink="/my-account" routerDirection="root" color="danger"> Go Back </ion-button>

  </div>

</ion-content>
